Bug 329597 - PGP/MIME signed messages not accepted by Thunderbird's Enigmail
Summary: PGP/MIME signed messages not accepted by Thunderbird's Enigmail
Status: RESOLVED NOT A BUG
Alias: None
Product: kmail2
Classification: Applications
Component: crypto (show other bugs)
Version: 4.11.3
Platform: Debian testing Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-04 14:00 UTC by Martin Albrecht
Modified: 2016-09-17 16:28 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
automatic word-wrap enabled, rejected by Thunderbird's Enigmail (1.04 KB, application/mbox)
2014-01-04 14:03 UTC, Martin Albrecht
Details
manual word-wrap, accepted by Thunderbird's Enigmail (1.04 KB, application/mbox)
2014-01-04 14:04 UTC, Martin Albrecht
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Albrecht 2014-01-04 14:00:52 UTC
If  the option "Word wrap at column: XX" (say 78) is set in the "General" tab of the "Composer" settings then the PGP/MIME signature generated by KMail is not accepted by Thunderbird's Enigmail.

If line breaks are added by hand and/or if "Word wrap at column: XX" is deselected, then the generated signature is reported as valid by Thunderbird's enigmail.


Reproducible: Always

Steps to Reproduce:
1. Select "Word wrap at column: 78" in the "General" tab of the "Composer" settings
2. Write an e-mail, say, with text longer than 78 characters (do not add any line breaks by hand)
3. Sign the message using PGP/MIME and send it
4. Open the mail in Thunderbird
Actual Results:  
Thunderbird's Enigmail reports: "Error - signature verification failed; click on 'Details' button for more information". Clicking on details reports: "OpenPGP Security Info; Error - signature verification failed"

Expected Results:  
Thunderbird's Enigmail reports: "Good signature from XXX" 

I don't know if this is a bug in Thunderbird's Enigmail or in KMail2. Note that the messages rejected by Thunderbird's Enigmail are accepted by KMail2, i.e. KMail2 is consistent.

Disabling automatic word wrapping makes the issue disappear.
Comment 1 Martin Albrecht 2014-01-04 14:03:29 UTC
Created attachment 84444 [details]
automatic word-wrap enabled, rejected by Thunderbird's Enigmail
Comment 2 Martin Albrecht 2014-01-04 14:04:30 UTC
Created attachment 84445 [details]
manual word-wrap, accepted by Thunderbird's Enigmail
Comment 3 Sandro Knauß 2014-03-29 23:46:49 UTC
Acctually it is a problem in enigmail. You can easily test if you use the cmd line tool gpg, that the signature is valid, but is is binary signature. The  problem is that thunderbird can't handle binary signatures correctly. The failing mail has a space as last letter at the line and thunderbird removes this, cause for textmode signatuers this is a allowed modification.
Comment 4 kolAflash 2014-11-17 18:29:16 UTC
I reported a similar problem to the Enigmail bug-system. It's fixed in the current nighties of Enigmail.
So maybe you can close this bug.

http://sourceforge.net/p/enigmail/bugs/332/

https://www.enigmail.net/download/nightly.php

@Martin Albrecht
Can you do a test with a current Enigmail nightly?
Comment 5 Martin Albrecht 2014-11-21 16:33:09 UTC
I can confirm that the bug is gone with a current Enigmail nightly.